public class Circle extends Shape
{
    public Circle( double r )
    {
        super( "circle" );
        radius = r;
    }

    public double area( )
    {
        return PI * radius * radius;
    }

    private static final double PI = 3.14159265358979323;
    private double radius;
}